Bug 75679 - glibc does not rebuild from source.
glibc does not rebuild from source.
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-10-10 19:18 EDT by Sam Varshavchik
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-10 19:18:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2002-10-10 19:18:40 EDT
Description of Problem:

Rebuild from source RPM fails as follows:


Requires: glibc = 2.2.93-5.securepatch /bin/sh /usr/bin/perl ld-linux.so.2
libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3)
libdl.so.2 libdl.so.2(GLIBC_2.0) libgd.so.1.8 libm.so.6 libpng12.so.0 libz.so.1
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/glibc-2.2.93-root
error: Installed (but unpackaged) file(s) found:

RPM build errors:
    Installed (but unpackaged) file(s) found:

Version-Release number of selected component (if applicable):

How Reproducible:


Steps to Reproduce:
1. rpmbuild -ba glibc.spec
2. Wait

Additional Information:

A cursory investigation points to a spec file problem.
Comment 1 Jakub Jelinek 2002-10-11 11:23:36 EDT
That's just a matter of policy for the unpackaged files.
Change your redhat-config-packages settings and you should be fine.
These file are not packaged on purpose.
Comment 2 Miloslav Trmac 2002-10-11 17:16:59 EDT
Um, Jakub, don't you mean installing redhat-rpm-config?

Note You need to log in before you can comment on or make changes to this bug.